Page MenuHomePhabricator

Wikibase Client data-bridge selenium test failure - wait for entity to be protected
Closed, ResolvedPublic

Description

Seen on a patch to Echo

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Echo/+/590009/
https://integration.wikimedia.org/ci/job/wmf-quibble-selenium-php72-docker/33453/console

18:02:00 [chrome 73.0.3683.75 Linux #0-5] Spec: /workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/specs/permissionChecks.js
18:02:00 [chrome 73.0.3683.75 Linux #0-5] Running: chrome (v73.0.3683.75) on Linux
18:02:00 [chrome 73.0.3683.75 Linux #0-5] Session ID: 2b158c57e6688b372bff41247e9cac22
18:02:00 [chrome 73.0.3683.75 Linux #0-5]
18:02:00 [chrome 73.0.3683.75 Linux #0-5] permission checks
18:02:00 [chrome 73.0.3683.75 Linux #0-5]     if the client page is editable for the user
18:02:00 [chrome 73.0.3683.75 Linux #0-5]        ✓ show the editlink
18:02:00 [chrome 73.0.3683.75 Linux #0-5]
18:02:00 [chrome 73.0.3683.75 Linux #0-5]     if the client page is not editable for the user
18:02:00 [chrome 73.0.3683.75 Linux #0-5]        ✓ hide the editlink
18:02:00 [chrome 73.0.3683.75 Linux #0-5]
18:02:00 [chrome 73.0.3683.75 Linux #0-5]     if the item is protected on the repo
18:02:00 [chrome 73.0.3683.75 Linux #0-5]        ✖ show a permission error when opening bridge
18:02:00 [chrome 73.0.3683.75 Linux #0-5]
18:02:00 [chrome 73.0.3683.75 Linux #0-5]     if the user is blocked on the client
18:02:00 [chrome 73.0.3683.75 Linux #0-5]        ✓ show a permission error when opening bridge
18:02:00 [chrome 73.0.3683.75 Linux #0-5]
18:02:00 [chrome 73.0.3683.75 Linux #0-5] 3 passing (16.3s)
18:02:00 [chrome 73.0.3683.75 Linux #0-5] 1 failing
18:02:00 [chrome 73.0.3683.75 Linux #0-5]
18:02:00 [chrome 73.0.3683.75 Linux #0-5] 1) if the item is protected on the repo show a permission error when opening bridge
18:02:00 [chrome 73.0.3683.75 Linux #0-5] element (".oo-ui-dialog #data-bridge-app .wb-db-error") still not displayed after 5000ms
18:02:00 [chrome 73.0.3683.75 Linux #0-5] Error: element (".oo-ui-dialog #data-bridge-app .wb-db-error") still not displayed after 5000ms
18:02:00 [chrome 73.0.3683.75 Linux #0-5]     at Context.it (/workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/specs/permissionChecks.js:96:25)
18:02:00 
18:02:00 
18:02:00 Spec Files:	 5 passed, 1 failed, 6 total (100% completed) in 00:01:05

Event Timeline

Reedy created this task.Apr 20 2020, 5:20 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 20 2020, 5:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 594745 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: selenium: permissionChecks: wait for entity to be protected

https://gerrit.wikimedia.org/r/594745

Pablo-WMDE edited projects, added Wikidata-Bridge-Sprint-19; removed Wikidata-Bridge.
Pablo-WMDE moved this task from To do to Peer Review on the Wikidata-Bridge-Sprint-19 board.

Change 594745 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: selenium: permissionChecks: wait for entity to be protected

https://gerrit.wikimedia.org/r/594745

We merged a patch for this which looks quite promising. Let's see if this solves it.

Pablo-WMDE renamed this task from Wikibase Client data-bridge selenium test failure to Wikibase Client data-bridge selenium test failure - wait for entity to be protected.May 7 2020, 9:16 AM
Pablo-WMDE closed this task as Resolved.May 11 2020, 11:48 AM

Closing as it did not reoccur. Feel free to reopen should it happen again.